# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-03 13:46
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '__latest__'),
    ]
    
    operations = [
        migrations.CreateModel(
            name='Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('raw', models.TextField(blank=True, editable=False)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('published', models.DateTimeField(auto_now_add=True)),
                ('entry_id', models.CharField(blank=True, editable=False, max_length=255, unique=True)),
                ('title', models.CharField(max_length=255)),
                ('author', models.CharField(blank=True, max_length=255)),
                ('link', models.URLField()),
                ('visual', models.URLField(blank=True)),
                ('content', models.TextField()),
                ('tags', models.TextField(blank=True)),
            ],
            options={
                'verbose_name_plural': 'Entries',
            },
        ),
        migrations.CreateModel(
            name='FeedlySettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('feedly_auth', models.TextField(blank=True, help_text='Your developer authorization key')),
                ('feedly_pages', models.IntegerField(blank=True, choices=[(1, '2'), (2, '5'), (3, '10'), (4, '50')], help_text='How many pages to fetch?', null=True)),
            ],
            options={
                'verbose_name': 'Feedly',
            },
        ),
        migrations.CreateModel(
            name='Stream',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('ident', models.CharField(max_length=255)),
            ],
        ),
        migrations.AddField(
            model_name='feedlysettings',
            name='feedly_stream',
            field=models.ManyToManyField(to='feedler.Stream'),
        ),
        migrations.AddField(
            model_name='feedlysettings',
            name='site',
            field=models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.Site'),
        ),
        migrations.AddField(
            model_name='entry',
            name='stream',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='feedler.Stream', verbose_name='Original stream'),
        ),
    ]
